{
  "schema_version": "1.4.0",
  "id": "GHSA-xc8r-rrcv-2h5g",
  "modified": "2025-04-12T13:03:15Z",
  "published": "2022-05-17T03:39:20Z",
  "aliases": [
    "CVE-2016-6508"
  ],
  "details": "epan/dissectors/packet-rlc.c in the RLC dissector in Wireshark 1.12.x before 1.12.13 and 2.x before 2.0.5 uses an incorrect integer data type, which allows remote attackers to cause a denial of service (large loop) via a crafted packet.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2016-6508"
    },
    {
      "type": "WEB",
      "url": "https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=12660"
    },
    {
      "type": "WEB",
      "url": "https://code.wireshark.org/review/gitweb?p=wireshark.git%3Ba=commit%3Bh=6cf9616df68a4db7e436bb77392586ff9ad84feb"
    },
    {
      "type": "WEB",
      "url": "https://code.wireshark.org/review/gitweb?p=wireshark.git;a=commit;h=6cf9616df68a4db7e436bb77392586ff9ad84feb"
    },
    {
      "type": "WEB",
      "url": "http://openwall.com/lists/oss-security/2016/07/28/3"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2016/dsa-3648"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id/1036480"
    },
    {
      "type": "WEB",
      "url": "http://www.wireshark.org/security/wnpa-sec-2016-44.html"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2016-08-06T23:59:00Z"
  }
}